.Header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 200;
  margin: 0;
  padding: 0;
  color: rgba(242, 244, 246, 0.9);
  display: block;
  box-sizing: border-box;
  font-size: 17px;
  line-height: 24px;
  background-color: #1a242f;
}

.Header-container {
  display: flex;
  align-items: center;
  padding: 16px 50px;
}

.Header-logo {
  width: 112px;
  height: 40px;
}

@media (max-width: 600px) {
  .Header-container {
    padding: 8px 12px;
  }
}

.Header-logo {
  flex-shrink: 0;
  width: 112px;
  height: 40px;
  position: relative;
  top: 2px;
  background-position: left 0;
}

.Header-nav {
  flex: 1;
}

.Header-nav > ul {
  list-style: none;
  margin: 0;
  padding: 0 16px;
}

@media (max-width: 600px) {
  .Header-nav > ul {
    display: none;
  }
}

.Header-nav > ul > li {
  display: inline-block;
  white-space: nowrap;
}

.Header-nav > ul > li > a {
  margin: 8px;
  color: #fff;
  font-weight: 700;
}

.Header-search {
  color: #fff;
  width: 250px;
  cursor: pointer;
  border: 1px solid rgba(129, 151, 164, 0.5);
  background-color: #18222c;
  background-repeat: no-repeat;
  background-position: 6px center;
  font-size: 17px;
  line-height: 24px;
  padding: 8px 8px 8px 32px;
  margin: 0;
  height: auto;
}

@media (max-width: 1024px) {
  .Header-search {
    left: calc(100% - 550px);
    width: 0;
    border: none;
    background-color: transparent;
    transition: left 0.25s, width 0.25s;
  }

  .Header-search:focus {
    position: absolute;
    left: 50px;
    width: calc(100vw - 100px);
    border: 1px solid rgba(129, 151, 164, 0.5);
    background-color: #18222c;
  }
}

@media (max-width: 600px) {
  .Header-search:focus {
    width: calc(100vw - 24px);
    left: 12px;
  }
}

.Header-user {
  margin-left: 8px;
  width: 32px;
  height: 32px;
}

.Header-user-name {
  display: block;
  max-width: 120px;
  cursor: pointer;
  color: #c7cbcf;
  font-size: 15px;
  line-height: 22px;
  margin: 0 8px;
}

.Header-user-name:hover {
  color: #fff;
}

@media (max-width: 600px) {
  .Header-user-name {
    display: none;
  }
}
